%define oname   ruby-debug-base

Name:       ruby-%{oname}
Version:    0.10.4
Release:    %mkrel 2
Summary:    Fast Ruby debugger - core component
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(rake)
BuildRequires: rubygem(linecache)
Requires:   ruby(abi) = 1.8

%description
ruby-debug is a fast implementation of the standard Ruby debugger debug.rb.
It is implemented by utilizing a new Ruby C API hook. The core component
provides support that front-ends can build on. It provides breakpoint
handling, bindings for stack frames among other things.

%files
%defattr(-, root, root, -)
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*
%{ruby_vendorarchdir}/ruby_debug.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc README
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Thu Mar 24 2011 shikamaru <shikamaru> 0.10.4-2.mga1
+ Revision: 77139
- move files to vendor{lib,arch}dir and fix file list

* Thu Jan 27 2011 shikamaru <shikamaru> 0.10.4-1.mga1
+ Revision: 42288
- imported package ruby-ruby-debug-base


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.10.4-1mdv2011.0
- Initial package
